<?php
// include core configuration
include 'config/core.php';
 
// include database connection
include 'config/database.php';

$field = isset($_GET['field']) ? $_GET['field'] : "";
$order = isset($_GET['order']) ? $_GET['order'] : "";

// page header
$page_title="Read Products";
include_once "layout_head.php";

//select all data
$query = "SELECT p.id, p.name, p.description, p.price, c.name as category_name, p.created 
			FROM products p 
				LEFT JOIN categories c 
					ON p.category_id=c.id 
			ORDER BY {$field} {$order}
			LIMIT :from_record_num, :records_per_page";

$stmt = $con->prepare($query);
$stmt->bindParam(":from_record_num", $from_record_num, PDO::PARAM_INT);
$stmt->bindParam(":records_per_page", $records_per_page, PDO::PARAM_INT);
$stmt->execute();

//this is how to get number of rows returned
$num = $stmt->rowCount();

// to identify page for paging
$page_url="read_products_sorted_by_fields.php?field={$field}&order={$order}&";

// tell the template it is field sort
$field_sort=true;

// include the read template
include_once "read_products_template.php";

// page footer
include_once "layout_foot.php";
?>